@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500&display=swap");
@font-face {
  font-family: "wild_worldbold";
  src: url("https://assets.codepen.io/756881/wild_world-webfont.woff2") format("woff2"), url("https://assets.codepen.io/756881/wild_world-webfont.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}
/* @link https://utopia.fyi/type/calculator?c=320,20,1.2,1140,24,1.25,1,0,&s=0.75|0.5|0.25,1.5|2|3|4|6,s-l */


.collage-art {
  font-family: 600;
  color: #fff;
  text-shadow: 0 0 10px #00b3ff, 0 0 20px #00b3ff;
}






/* @link https://utopia.fyi/type/calculator?c=320,20,1.2,1140,24,1.25,1,0,&s=0.75|0.5|0.25,1.5|2|3|4|6,s-l */

@font-face {
  src: url("https://www.axis-praxis.org/fonts/webfonts/AvenirNext_Variable.woff2") format("woff2");
  font-family: "Avenir";
  font-style: normal;
  font-weight: normal;
}

.text {
  font-variation-settings: "wght" 400, "wdth" 70;
  font-size: 6em;
  text-align: center;
  position: absolute;
  animation: text-flow 6s infinite;
}
.text:nth-child(1) {
  animation-delay: 0.25s;
  opacity: 0.9;
  -webkit-text-stroke: 3px #cf07ab;
  z-index: 0;
}
.text:nth-child(2) {
  animation-delay: 0.5s;
  opacity: 0.8;
  -webkit-text-stroke: 3px #171cb7;
  z-index: -1;
}
.text:nth-child(3) {
  animation-delay: 0.75s;
  opacity: 0.7;
  -webkit-text-stroke: 3px #11778e;
  z-index: -2;
}
.text:nth-child(4) {
  animation-delay: 1s;
  opacity: 0.6;
  -webkit-text-stroke: 3px #11980a;
  z-index: -3;
}
.text:nth-child(5) {
  animation-delay: 1.25s;
  opacity: 0.5;
  -webkit-text-stroke: 3px #c8b80b;
  z-index: -4;
}
.text:nth-child(6) {
  animation-delay: 1.5s;
  opacity: 0.4;
  -webkit-text-stroke: 3px #d16a10;
  z-index: -5;
}
.text:nth-child(7) {
  animation-delay: 1.75s;
  opacity: 0.3;
  -webkit-text-stroke: 3px #ca0a0a;
  z-index: -6;
}
.text:nth-child(8) {
  animation-delay: 2s;
  opacity: 0.2;
  -webkit-text-stroke: 3px #581bad;
  z-index: -7;
}
.text:nth-child(9) {
  animation-delay: 2.25s;
  opacity: 0.1;
  -webkit-text-stroke: 3px #1a59d5;
  z-index: -8;
}
@keyframes text-flow {
  25% {
    font-variation-settings: "wght" 900, "wdth" 100;
    filter: hue-rotate(0deg);
  }
  50% {
    transform: translateY(-100px);
    font-variation-settings: "wght" 400, "wdth" 100;
  }
  75% {
    transform: translateY(0%);
    font-variation-settings: "wght" 900, "wdth" 100;
    filter: hue-rotate(90deg);
  }
}



/* @link https://utopia.fyi/type/calculator?c=320,20,1.2,1140,24,1.25,1,0,&s=0.75|0.5|0.25,1.5|2|3|4|6,s-l */


.block{
  width: 100%;
  height: 100%;
  position: relative;
  overflow: hidden;
  font-size: 16px;
}

.img-parallax {
  width: 100vmax;
  z-index: -1;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%,0);
  pointer-events: none
}



.waviy {
  position: relative;
  -webkit-box-reflect: below -20px linear-gradient(transparent, rgba(0,0,0,.2));
  font-size: 60px;
}
.waviy span {
 font-family: "wild_worldbold";
  font-size: clamp(16px, 6vw, 80px);
  letter-spacing: 0.03em;
  position: relative;
  display: inline-block;
  color: #fff;
  text-transform: uppercase;
  animation: waviy 1s infinite;
  animation-delay: calc(.1s * var(--i));
  
}
@keyframes waviy {
  0%,40%,100% {
    transform: translateY(0)
  }
  20% {
    transform: translateY(-20px)
  }
}






/* @link https://utopia.fyi/type/calculator?c=320,20,1.2,1140,24,1.25,1,0,&s=0.75|0.5|0.25,1.5|2|3|4|6,s-l */


.animated-text {
  font-family: "wild_worldbold";
  font-size: clamp(10px, 2vw, 36px);
 
}

.animated-text p.letter{
  display:inline-block;
}

.animated-text.wave p.letter{
  animation: 1s wave backwards ease-in-out infinite;
}

.animated-text.flip p.letter{
  animation: 1s flip forwards ease-in-out infinite;
}

.animated-text.pop p.letter{
  animation: 1s pop forwards ease-in-out infinite;
}

.animated-text.tilted p.letter{
  animation: 1s tilted forwards ease-in-out infinite;
}

@keyframes wave {
  0%{
    transform: translateY(0em);
  }
  50%{
    transform: translateY(-1rem);
  }
}

@keyframes flip {
  0%{
    transform: rotateX(0deg);
  }
  50%{
    transform: rotateX(90deg);
  }
  100%{
    transform: rotateX(0deg);
  }
}

@keyframes pop {
  0%{
    transform: rotateZ(5deg) scale(0.75) translateY(0);
    opacity:0.1;
  }
  50%{
    transform: rotateZ(-5deg) scale(1) translateY(-0.5em);
    opacity:1;
  }
  100%{
    transform: rotateZ(5deg) scale(0.75) translateY(0);
    opacity:0.1;
  }
}

@keyframes tilted {
  0%{
    transform: rotateZ(-15deg);
  }
  50%{
    transform: rotateZ(15deg);
  }
  100%{
    transform: rotateZ(-15deg);
  }
}

@keyframes shine {
  75%{
    color: inherit;
  }
  100%{
    color: #fff;
  }
}

@keyframes crazy {
  0%{
    transform: translateY(0) rotateX(90deg);
  }
  50%{
    transform: translateY(-1em) rotateX(0deg);
  }
  100%{
    transform: translateY(0) rotateX(-90deg);
  }
}

@keyframes newone {
  0%{
    font-size: 3rem;
  }
  50%{
    font-size: 3.5rem;
  }
  100%{
    font-size: 3rem;
  }
}




h1 .eyebrow {

  font-size: clamp(12px, 3vw, 40px);
  font-weight: 400;
}











/*text*/

:root {
  --color-blue: #0c2ffb;
  --color-aqua: #2cfcfd;
  --color-red: #fb203b;
  --color-yellow: #fefc4b;
}


/* ======================= */

.animated-text-shadow {
  animation-name: ShadowAnimation;
  animation-duration: 1.5s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
}

@keyframes ShadowAnimation {
  0% {
    transform: translateY(0);
    text-shadow: 
            0 0 0 var(--color-blue), 
            0 0 0 var(--color-aqua), 
            0 0 0 var(--color-red), 
            0 0 0 var(--color-yellow);
  }
  
  15% {
    transform: translateY(-0.75em);
    text-shadow: 
            0 0.125em 0 var(--color-blue), 
            0 0.25em 0 var(--color-aqua), 
            0 -0.125em 0 var(--color-red), 
            0 -0.25em 0 var(--color-yellow);
  }
  
  30% {
    transform: translateY(0.3em);
    text-shadow: 
            0 -0.0625em 0 var(--color-blue), 
            0 -0.125em 0 var(--color-aqua), 
            0 0.0625em 0 var(--color-red), 
            0 0.125em 0 var(--color-yellow);
  }
  
  45% {
    transform: translateY(-0.15em);
    text-shadow: 
            0 0.03125em 0 var(--color-blue), 
            0 0.0625em 0 var(--color-aqua), 
            0 -0.03125em 0 var(--color-red), 
            0 -0.0625em 0 var(--color-yellow);
  }
  
  60% {
    transform: translateY(0);
    text-shadow: 
            0 0 0 var(--color-blue), 
            0 0 0 var(--color-aqua), 
            0 0 0 var(--color-red), 
            0 0 0 var(--color-yellow);
  }
}
